Outbound Call

Prev
Post
/voice/sip/create_call

This API initiates an outbound call with a Voice AI Agent. The API calls the customer through the brand’s SIP voice channel, and the configured Voice AI Agent handles the interaction. If the customer answers, a conversation is created on the channel for tracking and review.

There are two body params:
sipNumber - The phone number of the brand's SIP voice channel. It must belong to the brand of the API key.
userNumber - The customer's phone number to call.
Both must be in an international format, starting with the country code (not with 0), 6 to 15 digits, optional leading +/ spaces / dashes / brackets / dots are ignored.
A national number such as 07700900123 will return 400. You must use international format +44 7700 900123

Outbound throttle per brand: Default 100 create_call requests per brand per minute, with per-brand overrides can be adjusted by CommBox. Over the limit returns 429.

Note: No call ID is returned

Security
HTTP
Type bearer

API key is needed to authorize requests. You can get your API key via the management console.
A Bearer Token is needed to be set in the Authorization header of every API call.
For additional support you can contact us.

Body parameters
object
sipNumber
integer (int64)

The brand's SIP voice channel phone number. Must be in international format.

Example442046322011
userNumber
integer

The phone number of the customer. Must be in international format.

Example442046399013
Responses
200

Success

object
status
integer
Example200
description
string
ExampleSuccess
response_time
string
Example2026-08-06T07:53:11.4471902Z
data
string
Example
400

Invalid request - Invalid sipNumber / userNumber / nonSIP channel / Stream is not set up for outbound calls / Failed to parse JSON body

object
status
integer
Example400
description
string
ExampleStream is not a SIP voice channel
response_time
string
Example2026-08-06T07:51:52.2581942Z
data
string
Example
401

Unauthorized - The supplied credentials, if any, are not sufficient to access the resource

object
status
integer
Example401
description
string
ExampleUnauthorized access
response_time
string
Example2026-08-06T07:51:52.2581942Z
data
string
Example
403

Access denied - Blocked by the brand's API IP whitelist or the voice API is disabled

404

Not found - No active SIP voice channel with that number in the key's brand

405

Unrecognized operation - Incorrect method

429

Too Many Requests - Too many requests have been made in a short period of time (Throttling). The brand is over its per-minute limit

500

Server Error - The call could not be queued